<?php

/**
 * Fired during plugin deactivation
 *
 * @link       http://inspiredsoft.com
 * @since      1.0.0
 *
 * @package    Leadifly
 * @subpackage Leadifly/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Leadifly
 * @subpackage Leadifly/includes
 * @author     InspiredSoft <tech@inspiredsoft.com>
 */
class Leadifly_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {
        unregister_post_type('leadifly_link');
        flush_rewrite_rules();
	}

}
