<?php
/*
Template Name: Full-width layout
Template Post Type: leadifly_link
 */
session_start();
require_once dirname(dirname(dirname(__FILE__))) . '/includes/packages/Facebook/autoload.php'  ;

$options = get_option('leadifly_options');

if (!isset($options['fb_app_id']) || !isset($options['fb_app_secret'])) {
    wp_die('Missing Facebook credentials');
}

$fb = new Facebook\Facebook([
    'app_id' => $options['fb_app_id'],
    'app_secret' => $options['fb_app_secret'],
    'default_graph_version' => 'v2.2',
]);

$helper = $fb->getRedirectLoginHelper();

$permissions = ['email']; // Optional permissions
$loginUrl = $helper->getLoginUrl(get_admin_url() . 'admin-post.php?action=fb_callback', $permissions);

$url = get_post_meta(get_the_ID(), 'leadifly-meta-link', true);
$_SESSION['leadifly-meta-link'] = $url;
wp_redirect($loginUrl);


