<?php

/**
 * Fired during plugin activation
 *
 * @link       http://inspiredsoft.com
 * @since      1.0.0
 *
 * @package    Leadifly
 * @subpackage Leadifly/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Leadifly
 * @subpackage Leadifly/includes
 * @author     InspiredSoft <tech@inspiredsoft.com>
 */
class Leadifly_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {//ToDo remove from here
        require_once plugin_dir_path(__FILE__) . '/class-leadifly-links.php';
        require_once plugin_dir_path(__FILE__) . '/class-leadifly-subscribers.php';

        new LeadiflyLinks;
        new LeadiflySubscribers();

        flush_rewrite_rules();
	}

}
