<?php

$parse_uri = explode( 'wp-content', $_SERVER['SCRIPT_FILENAME'] );

require_once( $parse_uri[0] . 'wp-load.php' );

if (!isset($_GET['api']) || $_GET['api'] == '') {
    wp_die('3rd party API is not specified.');
}

$options = get_option('leadifly_options');

switch($_GET['api']) {
    case 'mailchimp':
        $options['mailchimp_app_id'] = '';
        $options['mailchimp_list_id'] = '';
        $options['mailchimp_valid'] = 0;
        $options['mailchimp_active'] = 0;
        break;
    case 'activecampaign':
        $options['activecampaign_list_id'] = '';
        $options['activecampaign_app_id'] = '';
        $options['activecampaign_api_url'] = '';
        $options['activecampaign_valid'] = 0;
        $options['activecampaign_active'] = 0;
        break;
    case 'getresponse':
        $options['getresponse_app_id'] = '';
        $options['getresponse_campaign_id'] = '';
        $options['getresponse_valid'] = 0;
        $options['getresponse_active'] = 0;
        break;
    case 'sendlane':
        $options['sendlane_app_id'] = '';
        $options['sendlane_hash_id'] = '';
        $options['sendlane_domain'] = '';
        $options['sendlane_list_id'] = '';
        $options['sendlane_valid'] = 0;
        $options['sendlane_active'] = 0;
        break;
    case 'aweber':
        $options['aweber_consumer_key'] = '';
        $options['aweber_consumer_secret'] = '';
        $options['aweber_list_id'] = '';
        $options['aweber_valid'] = 0;
        $options['aweber_code_authorized'] = 0;
        $options['aweber_request_token'] = '';
        $options['aweber_token_secret'] = '';
        $options['aweber_code'] = '';
        $options['aweber_access_token'] = '';
        $options['aweber_access_secret'] = '';
        $options['aweber_active'] = 0;
        break;
}

update_option('leadifly_options', $options);

wp_redirect(admin_url() . 'admin.php?page=leadify_settings&tab='. sanitize_text_field($_GET['api']) .'_options');